{%- macro node_ip() -%}
{%- for host in groups['mariadb_servers'] -%}
{%- if host == inventory_hostname -%}
{{hostvars[host]['ansible_facts']['default_ipv4']['address']}}
{%- endif -%}
{%- endfor -%}
{%- endmacro-%}

{%- macro mariadb_cluster_ips() -%}
{%- for host in groups['mariadb_servers'] -%}
{{hostvars[host]['ansible_facts']['default_ipv4']['address']}}{% if not loop.last %},{% endif %}
{%- endfor -%}
{%- endmacro -%}

[galera]
wsrep_on                  = ON
wsrep_provider            = /usr/lib/galera/libgalera_smm.so
wsrep_cluster_address     = "gcomm://{{ mariadb_cluster_ips() }}"
binlog_format             = row
default_storage_engine    = InnoDB
innodb_autoinc_lock_mode  = 2
bind_address              = {{ galera_bind_address }}
wsrep_cluster_name        = "{{ galera_mariadb_cluster_name }}"
wsrep_node_address        = "{{ node_ip() }}"
wsrep_node_name           = "{{ ansible_hostname }}"
wsrep_sst_method          = rsync
